touch_newsgroup(1)

NAME
touch_newsgroup - force leafnode to continue reading low-traffic newsgroups

SYNOPSIS
touch_newsgroup [-f groupsfile] [-h hostname] [-v] [newsgroups]

DESCRIPTION
touch_newsgroup is a Perl script which reads the last article in the specified newsgroups on the specified using NNTP.

This prevents leafnode or similar news-servers from marking those newsgroups as inactive because no-one is reading them.

Perl and the Net::NNTP module are required to use this program. On Debian systems these are avalible in the perl5 and libnet-perl packages.

OPTIONS

-f groupsfile
    Read newsgroup names from groupsfile in addition to any specified on command line. Use -f - to read from stdin.

-h hostname
    Read newsgroups on host hostname (default 127.0.0.1)

-v  Be verbose. Prints the number of the article it reads from each newsgroup.

newsgroups
    names of newsgroups to read. May be omitted if a groupsfile is specified.

ENVIRONMENT
Requires Net::NNTP module (available in libnet from CPAN or the libnet-perl package). On Debian systems, this program will by default be run daily on the list of newsgroups specified in /etc/news/leafnode/touch_groups if that file exists.

LIMITATIONS
Only one news-server is catered for, the IP address of which is hard-wired into the script as $nntp_host.

BUGS
dies if it encounters any problems.

AUTHOR
Copyright 1999 Jim Nicholson <j.nicholson@computer.org>

SEE ALSO
leafnode(8)